Routing

Expand all | Collapse all

Cannot upgrade vmhost to ver 19.4 on MX480?

  • 1.  Cannot upgrade vmhost to ver 19.4 on MX480?

    Posted 01-13-2021 02:25
    Hi all,


    Can someone exactly explain regarding below url. Currently i'm using version 17.3 and want to upgrade to ver 19.4. I'm try to using refreshinstall usb version 19.4 but it cannot stuck on url error below. So it ask upgrade "i40e NVM" first. The issue which should jfirmware i upgrade first?

    VMHOST platforms are required to upgrade the Intel i40e NVM firmware for installing WRL9 based JUNOS vmhost image - Juniper Networks
    Juniper remove preview
    VMHOST platforms are required to upgrade the Intel i40e NVM firmware for installing WRL9 based JUNOS vmhost image - Juniper Networks
    In order to install JUNOS vmhost image based on Linux WRL9 on all VMHOST platforms, a firmware upgrade of Intel i40e NVM firmware is required on the Routing Engine if it is not running with an i40e NVM firmware version 6.01. For platforms PTX5K/PTX3K/MX240/MX480/MX960/MX2010/MX2020/MX2008/MX10016/MX10008/PTX10008/PTX10016, the JUNOS versions support i40e NVM firmware upgrade are listed in the following table.
    View this on Juniper >



    Thanks and appreciate any feedback


  • 2.  RE: Cannot upgrade vmhost to ver 19.4 on MX480?

     
    Posted 01-13-2021 16:19

    Hello,


    Sorry, your question is not very clear to me. Are you upgrading from 17.3 to 19.4 and getting error to perform firmware upgrade? If yes, what is the issue that you are facing with firmware upgrade.

    Can you also let me know the chassis model, RE model, exact current version, and current RE i40e-NVM firmware version so that we can glean out relevant information from the following public KB.

    https://kb.juniper.net/InfoCenter/index?page=content&id=TSB17603&actp=METADATA

    Use following commands to get all the info

    show chassis hardware | match "chassis|Routing Engine"
    show system firmware | match "Routing Engine"
    show version | match "Junos:"

    Thanks

    Vishal



  • 3.  RE: Cannot upgrade vmhost to ver 19.4 on MX480?

     
    Posted 01-13-2021 16:20

    Hello,


    Sorry, your question is not very clear to me. Are you upgrading from 17.3 to 19.4 and getting error to perform firmware upgrade? If yes, what is the issue that you are facing with firmware upgrade.

    Can you also let me know the chassis model, RE model, exact current version, and current RE i40e-NVM firmware version so that we can glean out relevant information from the following public KB.

    https://kb.juniper.net/InfoCenter/index?page=content&id=TSB17603&actp=METADATA

    Use following commands to get all the info

    show chassis hardware | match "chassis|Routing Engine"
    show system firmware | match "Routing Engine"
    show version | match "Junos:"

    Thanks

    Vishal




  • 4.  RE: Cannot upgrade vmhost to ver 19.4 on MX480?

    Posted 03-23-2021 09:57
    Hi,

    if you try to upgrade JunOS on a vmhost-running RE (such as RE-S-2X00x6) to a JunOS release which is based on
    "Linux WRL9", you apparently need to update the "i40e NVM" firmware first, ref. TSB17603 referenced above. 
    Apparently you need to ask your support organization to get a copy of the appropriate firmware image file for the
    JunOS version you run, assuming it supports the i40e firmware upgrade (see the TSB for details).

    Although the TSB doesn't say explicitly that anything newer than or equal to 19.3R1 is based on Linux WRL9,
    that appears to indeed be the case, and your experience with 19.4 indicates that version certainly is.

    However, my support organization also alerted me about the following problem report: PR1529710.

    I interpret (I am merely a customer, so please do not take that as the final truth) the information in that PR such
    that at present you need to use  either JunOS 20.1R3, 20.2R3 or 20.3R2 (or newer) in order to avoid a serious
    (if not catastrophic) JunOS bug when you run with updated i40e NVM firmware, and that it can take in the
    order of 24 hours of operation before the effects of that bug manifests itself (if you run with a version which
    doesn't have a fix for that PR).  It's my sincere hope that the fix for that PR will eventually be applied to other
    maintenance branches, although I'm certainly not holding my breath in anticipation.

    Regards,

    ------------------------------
    Havard Eidnes
    ------------------------------


  • 5.  RE: Cannot upgrade vmhost to ver 19.4 on MX480?

    Posted 03-23-2021 12:29
    Hi Bro,

    Thanks for the good KB url. I just open Case for confirmation whether i should upgrade to version as per list KB coz now i'm using version 19.4R3 and the box will go-live into production next week.


    Thanks